Wt: Payment module (Wt::Payment)

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

Classes | Functions
Payment module (Wt::Payment)

A module that implements payment functions. More...

## Classes
class | Wt::Payment::Address
| Contains address information. More...
class | Wt::Payment::Customer
| Contains customer information. More...
class | Wt::Payment::Money
| A value class which describes a monetary value. More...
class | Wt::Payment::Order
| Contains information of a sales order. More...
class | Wt::Payment::OrderItem
| Describes an item in an order. More...
class | Wt::Payment::PayPalExpressCheckout
| A paypal express checkout process. More...
class | Wt::Payment::PayPalService
| This is a PayPal service class. More...
class | Wt::Payment::Result
| A class that represents the result of a payment API call. More...
class | Wt::Payment::Approval
| A class that represents the result of a payment. More...
## Functions
WT_API Money | Wt::Payment::operator+ (const Money &v1, const Money &v2)
| Adds monetary values.
WT_API Money | Wt::Payment::operator- (const Money &v1, const Money &v2)
| Substact monetary values.
WT_API Money | Wt::Payment::operator* (const Money &v1, double v2)
| Multiplies money.
WT_API Money | Wt::Payment::operator* (double v1, const Money &v2)
| Multiplies money.
WT_API Money | Wt::Payment::operator/ (const Money &v1, double v2)
| Divides v1 and v2.

## Detailed Description

A module that implements payment functions.

This module provides API for interacting with third-party payment brokers.

It only provides backend functions (no widgets), which use web services and JavaScript popup windows or redirection to interact with the third party service.

The module is organized in a number of utility classes which provide information on the Customer and the Order, and service classes for payment.

At the moment, only support for payment using PayPal is implemented in the PayPalService class.

## Function Documentation

Money Wt::Payment::operator* | ( | double | v1,
|  | const Money & | v2
| ) |  |

Multiplies money.

You would wish you could just do that, wouldn't you ?

Money Wt::Payment::operator+ | ( | const Money & | v1,
|  | const Money & | v2
| ) |  |

Adds monetary values.

Adding money of different currencies is not allowed.

Money Wt::Payment::operator- | ( | const Money & | v1,
|  | const Money & | v2
| ) |  |

Substact monetary values.

Subtraction of money of different currencies is not allowed.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator